Subject: Re: [mpls] Comments on draft-ezy-mpls-1ton-protection-01

From: "Taesik Cheung" <[email-masked]>
Date: Thu, 29 Mar 2012 21:39:37 +0900

Hi Greg,

In your scenario, some corrections may be required.

LER-A sends SF(i,0) and receives SF(j,0).

LER-Z sends SF(j,0) and receives SF(i,0).

I think that signal number (i,j) can be used for tie-breaker as Maartin said.

Regards,

Taesik

-----Original Message-----
From: "Gregory Mirsky" <[email-masked]>
From Date: 2012-03-29 PM 8:51:05
To: "Eric Osborne (eosborne)" <[email-masked]>, "[email-masked]" <[email-masked]>, "Yaacov Weingarten" <[email-masked]>, "[email-masked]" <[email-masked]>
Cc:
Subject: Re: [mpls] Comments on draft-ezy-mpls-1ton-protection-01

Hi Eric,
Below is scenario that in my view would benefit from a tiebreaking rule. Would appreciate your consideration and feedback whether this is realistic and not breaking PSC:
- Assume that LSP P is not being used or used by working path of priority N;
- LER-A detects failure of working path Wi of priority M, where M > N, LER-A sends SF(1,0) to LER-Z listing Wi as Fpath;
- almost simulteneously, at least before it receives SF from LER-A, LER-Z detects failure of Wj that has priority M. LER-Z sends SF(1,0) listing Wj as Fpath;
- LER-Z receives SF(1,0) from LER-A and since Priority(Wi) == Priority(Wj) would not change to protecting Wi path;
- LER-A receives SF(1,0) from LER-Z and for the same reason would keep Wi as path to protect.
Is that sequence, scenario correct? Would LER-A and LER-Z converge on selecting one path they'd protect?

Regards,
Greg

-----Original Message-----
From: Eric Osborne (eosborne) [mailto:[email-masked]]
Sent: Thursday, March 29, 2012 4:38 AM
To: Gregory Mirsky; [email-masked]; Yaacov Weingarten; [email-masked]
Subject: RE: Comments on draft-ezy-mpls-1ton-protection-01

> EO#  I would argue that one should not have LSPs of the "same
priority".
> There must be a tiebreaker that can handle all possible conflicts, no
> matter what order or how many failures.  Once there is a deterministic
> mechanism for all cases, it means that all LSPs are of different
priority.
>
> GIM>> Tiebreaking would be used only in case of simulteneous failure
of
> two working paths of equal priority. Otherwise, equal priority would
not
> preempt one that is already is using the protection path, i.e. FIFO
will
> fully work in this case.

I think the behavior you describe is more about SMP than 1:n.  In 1:n we'd always made the assumption that, in a given protection domain, only a single W can be protected at a time.  To do otherwise (say, W1 and W2 using P) is not possible using PSC signaling since we can only indicate a single LSP in the FPath field.

Nothing precludes multiple protection domains from using the same underlying link and/or same endpoints, but that's a network design consideration.

eric
_______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls